Subject: bug#42350: 26.3; C-c C-c in R console buffer causes Control key to get "stuck"

From: Eli Zaretskii <[email-masked]>
Date: Tue, 14 Jul 2020 17:49:23 +0300

> From: Mark Seeto <[email-masked]>
> Date: Tue, 14 Jul 2020 12:26:26 +1000
> 
> I'm running R using the ESS package (version 18.10.2, installed using package-list-packages) in Emacs
> 26.3 in MS Windows 10.
> 
> When I'm in an R console window (Emacs buffer named "*R*" where R is running) and I press C-c C-c
> using the right (not left) Control key, Emacs starts acting as though the Control key is being held down. For
> example, if I press C-c C-c <return> in the R console buffer using the right Control key, I get the message
> "<C-return> is undefined", and it keeps happening with further key presses (e.g. pressing p moves to the
> previous line). The problem doesn't happen if I press C-c C-c in the R console buffer using the left Control
> key. Even other programs (e.g. Notepad, Firefox) start acting as though Control is being pressed.
> 
> The "stuck" Control key can be "released" by pressing the left Control key.

I suspect this is something specific to your Windows system setup,
perhaps in combination with what R does.  Because I tried to reproduce
what you say on a Windows 10 system without R, and couldn't.  It
sounds like some "sticky key" feature or something similar.

I very much doubt this is an Emacs problem.